#!/usr/bin/perl

# ============================================================================
#
# Name    :  pog.pl   
#
# Purpose :  Start POGO BPE process for a particular session
#
# Author  :  F. Christiansen
# Created :  2009-04-14
#
# ============================================================================
use lib $ENV{BPE};
use startBPE;
use bpe_util;

# Check arguments
# ---------------
if (@ARGV != 2 or lc($ARGV[0]) eq "-h") {
  die "\n  Start POGO ORBIT BPE process for a particular session\n".
      "\n  Usage: pog.pl [-h] yyyy ssss\n".
      "\n  yyyy : 4-digit (or 2-digit) year".
      "\n  ssss : 4-character session".
      "\n  -h   : Display this help text\n\n" }

# Create startBPE object
# ----------------------
$bpe = new startBPE();

# Redefine mandatory variables
# ----------------------------
$$bpe{PCF_FILE}     = "POGO";
$$bpe{CPU_FILE}     = "USER";
$$bpe{BPE_CAMPAIGN} = "pogo";
$$bpe{YEAR}         = $ARGV[0];
$$bpe{SESSION}      = $ARGV[1];
$$bpe{SYSOUT}       = "POGO";
$$bpe{STATUS}       = "POGO.RUN";
$$bpe{TASKID}       = "PO";

# Reset CPU file
# --------------
$bpe->resetCPU();

# Start BPE process
# -----------------
print "\nPOGO BPE process started on ".timstr(localtime(time))."\n";
$bpe->run();

# BPE process finished
# --------------------
print "POGO BPE process finished on ".timstr(localtime(time))."\n\n";

__END__ 

